/******************
	DATEI
	LOG_RANK.H : Header-Datei zu LOG_RANK.C,
	             berechnet den Wert
	             des Log-Rank-Testes fuer zensierte Daten,
							 auserdem wird die Signifikanz des Wertes 
							 mit der Miller-Siegmund Formel
							 bestimmt;
******************/

#ifndef __LOG_RANK__
#define __LOG_RANK__

GLOBAL DOUBLE p_chi_normal (DOUBLE x);

GLOBAL DOUBLE q_chi_normal (DOUBLE x);

GLOBAL DOUBLE chi_mi_si (DOUBLE w, DOUBLE links, DOUBLE rechts);

GLOBAL DOUBLE log_rank(
	UWORD *index_arr, 
	UWORD anzahl, 
	BOOLEAN *akt_li_true,
	UWORD akt_li_anzahl);

#endif /* __LOG_RANK__ */
