/******************
	DATEI
	SET_SPLI.H : Header-Datei zu SET_SPLI.C, 
	             zu einer nominal skalierten
	             Variablen wird der
	             maximierende Split-Punkt bestimmt;
******************/

#if  !defined( __SET_SPLI__ )
#define __SET_SPLI__

/******************
	GLOBALE FUNKTIONEN 
	set_split : zu einer nominal skalierten
	            Variablen wird der
	            maximierende Split-Punkt bestimmt,
*******************/

GLOBAL DOUBLE set_split(  /* Rueckgabewert ist der 
                             Wert des maximierten Split-
                             Kriteriums                    */
	UWORD *index_arr,      /* Zeiger auf array der Laenge
	                          "anzahl" mit den globalen 
	                          Indizes der Faelle 
	                          im momentanen Knoten          */
	UWORD anzahl,          /* Anz. der Faelle im 
	                          momentanen Knoten             */
	UWORD var_split,       /* Index der Variable zu der der
	                          Split-Punkt gesucht wird      */
	BOOLEAN * ret_li_true, /* Zeiger auf Rueckgabearray der
	                          Laenge "anzahl" mit den Werten
	                          "TRUE", wenn der entsprechende 
	                          Fall in den linken Knoten 
	                          wandert, sonst "FALSE"        */
	UWORD * ret_li_anzahl, /* Zeiger auf Anz. der Faelle im
	                          linken Knoten                 */
	SET ret_set_split      /* Menge der Auspraegungen von 
	                          "var_split" im linken Knoten  */
);

#endif /* __SET_SPLI__ */
